1. Users
Cold Mail Reseller
  • Cold Mail Reseller API Documentation
  • Users
    • Retrieve all users
      GET
    • Get User Details
      GET
    • Create User
      POST
    • Update User Details
      PUT
    • Delete User
      DELETE
  • Geo
    • Get Countries List
      GET
    • Get States of a Country
      GET
  • Domains
    • Renewal
      • Domain Renewal Overview
      • Get domain renewal pricing
      • Renew domain
      • Enable or disable domain auto-renew
    • Get Domains For User
      GET
    • Suggest Available Domains
      POST
    • Get Single Available Domain
      POST
    • Check If Google Workspace Exists
      POST
    • Add domain forwarding
      POST
    • Add email forwarding
      POST
    • Add Google Client ID to Domain
      POST
    • Remove domains
      DELETE
  • Dns
    • Get dns records for a domain
      GET
    • Adds dns record
      POST
    • Update dns records
      PUT
    • Delete dns records
      DELETE
  • Orders
    • Get Order Details
      GET
    • Get Order Status
      GET
    • Creates order json
      POST
    • Order mailboxes (json)
      POST
    • Process the Order
      POST
    • Create Order
      POST
    • Add mailboxes to a subscription
      POST
  • Mailboxes
    • Get mailboxes for user
    • Get mailbox details by id
    • Get Mailbox Admin Details
    • Update mailbox details
    • Remove mailbox
  • Subscriptions
    • Get All Subscriptions
    • Renew Subscriptions
    • Toggle Auto renewal
    • Cancel Subscription
  • Webhooks
    • Overview
    • Events
      • Domain Events
      • Subscription Events
      • Mailbox Events
      • Prewarmup Events
  • Export
    • Re-export a mailbox (Oauth)
  • Pre-warmup
    • Get all pre warmed up mailboxes
    • Order pre-warmedup mailboxes
  • Get Wallet Details
    GET
  • Send error
    POST
  1. Users

Retrieve all users

GET
/users/list
Retrieves a paginated list of users with optional search functionality.

Query Parameters#

NameTypeRequiredDescription
limitnumberNoNumber of records to return per page. Default: 50
pagenumberNoPage number to retrieve. Default: 1
searchstringNoSearch keyword to filter users by first name, last name, or email

Request

Authorization
API Key
Add parameter in header
cmr-x-api-key
Example:
cmr-x-api-key: ********************
or

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://customers.coldmailreseller.com/api/v1/integration/users/list' \
--header 'cmr-x-api-key: <api-key>'

Responses

🟢200Success
application/json
Body

Example
{
    "status": 200,
    "message": "Users",
    "data": {
        "users": [
            {
                "firstName": "john",
                "lastName": "doe",
                "email": "john@company.com",
                "id": "GFGSDBFNH498ZNARTF3YJRRED2D"
            },
            {
                "firstName": "jean",
                "lastName": "doe",
                "email": "jean@company.com",
                "id": "FDFDAHGFGSDBFNH498ZNARTSRED2D"
            },
            {
                "firstName": "michael",
                "lastName": "jones",
                "email": "jones@company.com",
                "id": "GAD34YBFNH498ZNARTF3YJRRED2D"
            }
        ],
        "pagination": {
            "totalSearchedCount": 3,
            "currentPage": 1,
            "nextPage": 2,
            "totalPages": 1
        }
    }
}
Modified at 2026-02-20 19:31:46
Previous
Cold Mail Reseller API Documentation
Next
Get User Details
Built with